@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15 overflow-y-auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-user-information-panel
            [adminUserViewComponentData]="componentData"
          >
          </sqtm-app-user-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      @if (!$isTestAutoServerUser()) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'authorisations'"
            [sqtmCoreAnchorCollapsePanel]="'authorisations'"
            [nzHeader]="authorisationTitle"
            [nzExtra]="authorisationGridButtons"
          >
            <ng-template #authorisationTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.user.authorisation.plural' | translate }}
              </div>
            </ng-template>
            <sqtm-app-user-authorisations-panel>
            </sqtm-app-user-authorisations-panel>
          </nz-collapse-panel>
        </nz-collapse>
        <ng-template #authorisationGridButtons>
          <div class="admin-view-panel-buttons">
            <div [attr.data-test-button-id]="'add-authorisation'">
              <i
                nz-icon
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                class="current-workspace-button action-icon-size"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.entity.user.authorisation.tooltip.add-authorisation'
                    | translate
                "
                nzTooltipPlacement="top"
                (click)="addUserAuthorisation($event)"
              >
              </i>
            </div>
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'remove-authorisations'"
              [active]="authorisationsGridService.hasSelectedRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:unlink"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.entity.user.authorisation.tooltip.remove-many-authorisations'
                    | translate
                "
                nzTooltipPlacement="topRight"
                (click)="deletePermissions($event)"
              ></i>
            </sqtm-core-toggle-icon>
          </div>
        </ng-template>
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'teams'"
            [sqtmCoreAnchorCollapsePanel]="'teams'"
            [nzHeader]="teamsTitle"
            [nzExtra]="teamsGridButtons"
            sqtmCoreAnchorLastPanel
            [isEffectiveLastPanel]="!isPremium"
          >
            <ng-template #teamsTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.team.plural' | translate }}
              </div>
            </ng-template>
            <ng-template #teamsGridButtons>
              <div class="admin-view-panel-buttons">
                <div [attr.data-test-button-id]="'add-team'">
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:add"
                    nzTheme="outline"
                    class="current-workspace-button action-icon-size"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.entity.team.tooltip.add-team' | translate
                    "
                    nzTooltipPlacement="top"
                    (click)="associateTeam($event)"
                  >
                  </i>
                </div>
                <sqtm-core-toggle-icon
                  [attr.data-test-toolbar-button-id]="'remove-teams'"
                  [active]="teamsGridService.hasSelectedRows$ | async"
                >
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:unlink"
                    nzTheme="outline"
                    nz-tooltip
                    class="action-icon-size"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.team.tooltip.delete-teams.plural'
                        | translate
                    "
                    nzTooltipPlacement="topRight"
                    (click)="removeAssociatedTeams($event)"
                  ></i>
                </sqtm-core-toggle-icon>
              </div>
            </ng-template>
            <sqtm-app-user-teams-panel> </sqtm-app-user-teams-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }
      @if (isPremium && !$isTestAutoServerUser()) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'permissions'"
            [sqtmCoreAnchorCollapsePanel]="'permissions'"
            sqtmCoreAnchorLastPanel
            [isEffectiveLastPanel]="isPremium"
            [nzHeader]="permissionsTitle"
          >
            <ng-template #permissionsTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.user.permission.plural' | translate }}
              </div>
            </ng-template>
            <sqtm-app-user-permissions-panel> </sqtm-app-user-permissions-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }
      @if ($isTestAutoServerUser()) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'api-token'"
            [sqtmCoreAnchorCollapsePanel]="'api-token'"
            [nzHeader]="apiTokenTitle"
            sqtmCoreAnchorLastPanel
          >
            <ng-template #apiTokenTitle>
              <div class="flex justify-content-space-between full-width">
                <span class="entity-view-collapse-panel-title">{{
                  'sqtm-core.entity.user.api-token.title' | translate
                }}</span>
                <i
                  nz-icon
                  nzType="sqtm-core-generic:add"
                  nzTheme="outline"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.user-account-page.api-token.tooltip.add'
                      | translate
                  "
                  class="current-workspace-button action-icon-size"
                  [attr.data-test-button-id]="'add-api-token'"
                  (click)="createApiToken($event)"
                >
                </i>
              </div>
            </ng-template>
            <sqtm-app-user-api-token-panel> </sqtm-app-user-api-token-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
